Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.HeaderSpec.CacheSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.HeaderSpec.CacheSpec

Enclosing class:
  ServerHttpSecurity.HeaderSpec

public final class ServerHttpSecurity.HeaderSpec.CacheSpec extends Object
Configures cache control headers

See Also:
  - `ServerHttpSecurity.HeaderSpec.cache()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.HeaderSpec`
`disable()`
Disables cache control response headers

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### disable

public ServerHttpSecurity.HeaderSpec disable()
Disables cache control response headers

Returns:
  the `ServerHttpSecurity.HeaderSpec` to configure